# Class CSConfigurationParsers

java.lang.Object
com.io7m.certusine.vanilla.CSConfigurationParsers

All Implemented Interfaces:
  `com.io7m.anethum.api.ParserFactoryType<Path, CSConfiguration, CSConfigurationParserType>, CSConfigurationParsersType`

public final class CSConfigurationParsers extends Object implements CSConfigurationParsersType
A provider of pipeline parsers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSConfigurationParsers()`
  A provider of pipeline parsers.
  `CSConfigurationParsers(Locale locale)`
  A provider of pipeline parsers.
  `CSConfigurationParsers(org.bouncycastle.openssl.jcajce.JcaPEMKeyConverter inKeyConverter, Map<String, CSCertificateOutputProviderType> inOutputProviders, Map<String, CSDNSConfiguratorProviderType> inDNSProviders, CSStrings inStrings)`
  A provider of pipeline parsers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CSConfigurationParserType`
  `createParserWithContext(Path baseDirectory, URI source, InputStream stream, Consumer<com.io7m.anethum.api.ParseStatus> statusConsumer)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.anethum.api.ParserFactoryType

  `createParser, createParser, createParserForFileWithContext, parse, parse, parseFile, parseFile, parseFileWithContext, parseFileWithContext`

- ## Constructor Details

  - ### CSConfigurationParsers

    public CSConfigurationParsers(org.bouncycastle.openssl.jcajce.JcaPEMKeyConverter inKeyConverter, Map<String, CSCertificateOutputProviderType> inOutputProviders, Map<String, CSDNSConfiguratorProviderType> inDNSProviders, CSStrings inStrings)
    A provider of pipeline parsers.
    Parameters:
      `inKeyConverter` - A PEM key converter
      `inOutputProviders` - The supported output providers
      `inDNSProviders` - The supported DNS providers
      `inStrings` - The string resources

  - ### CSConfigurationParsers

    public CSConfigurationParsers(Locale locale) throws IOException
    A provider of pipeline parsers.
    Parameters:
      `locale` - The locale for string resources
    Throws:
      `IOException` - On I/O errors

  - ### CSConfigurationParsers

    public CSConfigurationParsers() throws IOException
    A provider of pipeline parsers.
    Throws:
      `IOException` - On I/O errors

- ## Method Details

  - ### createParserWithContext

    public CSConfigurationParserType createParserWithContext(Path baseDirectory, URI source, InputStream stream, Consumer<com.io7m.anethum.api.ParseStatus> statusConsumer)
    Specified by:
      `createParserWithContext` in interface `com.io7m.anethum.api.ParserFactoryType<Path, CSConfiguration, CSConfigurationParserType>`